using UnityEngine;
using System.Collections;

public class LightColour : ScriptableObject {

	//colours: red blue green magenta yellow cyan orange crimson violet cobalt turquoise lime gray white
	
	string colourName;
	Color rgb;
	
	public LightColour(){
		colourName = "gray";
		rgb = ColourCalc.RGB(colourName);
	}
	
	public LightColour(string name){
		this.colourName = name;
		rgb = ColourCalc.RGB(colourName);
	}
	
	public string GetColourAsString(){
		return colourName;
	}
	
	
	public bool Equals(string colour){
		if(colour == colourName)
			return true;
		return false;
	}
	
	public bool Equals(LightColour colour){
		if(Equals(colour.GetColourAsString()) )
			return true;
		return false;
	}
	
	public void SetColour(string newColour){
		colourName = newColour;
		rgb = ColourCalc.RGB(colourName);
	}
	public Color GetColourAsRGB(){return rgb;}

}
